class NullLogger:
    def emergency(self, msg):
        pass

    def alert(self, msg):
        pass

    def critical(self, msg):
        pass

    def error(self, msg):
        pass

    def warning(self, msg):
        pass

    def notice(self, msg):
        pass

    def info(self, msg):
        pass

    def debug(self, msg):
        pass





